package java.text.spi;

import java.text.NumberFormat;
import java.util.Locale;
import java.util.spi.LocaleServiceProvider;

public abstract class NumberFormatProvider extends LocaleServiceProvider
{
    protected NumberFormatProvider() {
    }
    
    public abstract NumberFormat getCurrencyInstance(Locale p0);
    
    public abstract NumberFormat getIntegerInstance(Locale p0);
    
    public abstract NumberFormat getNumberInstance(Locale p0);
    
    public abstract NumberFormat getPercentInstance(Locale p0);
}
